package mhp.oee.po.gen;

import java.math.BigDecimal;
import java.util.Date;

public class ProductionOutputTargetPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.ITEM
     *
     * @mbggenerated
     */
    private String item;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.OPERATION
     *
     * @mbggenerated
     */
    private String operation;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.RESRCE
     *
     * @mbggenerated
     */
    private String resrce;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.TARGE_QTY_YIELD
     *
     * @mbggenerated
     */
    private BigDecimal targeQtyYield;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.TARGE_QTY_YIELD_UNIT
     *
     * @mbggenerated
     */
    private String targeQtyYieldUnit;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.TARGET_DATE
     *
     * @mbggenerated
     */
    private String targetDate;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.SHIFT
     *
     * @mbggenerated
     */
    private String shift;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.SHIFT_DESCRIPTION
     *
     * @mbggenerated
     */
    private String shiftDescription;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.IS_DEFAULT_VALUE
     *
     * @mbggenerated
     */
    private String isDefaultValue;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_target.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.HANDLE
     *
     * @return the value of production_output_target.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.HANDLE
     *
     * @param handle the value for production_output_target.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.SITE
     *
     * @return the value of production_output_target.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.SITE
     *
     * @param site the value for production_output_target.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.ITEM
     *
     * @return the value of production_output_target.ITEM
     *
     * @mbggenerated
     */
    public String getItem() {
        return item;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.ITEM
     *
     * @param item the value for production_output_target.ITEM
     *
     * @mbggenerated
     */
    public void setItem(String item) {
        this.item = item == null ? null : item.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.OPERATION
     *
     * @return the value of production_output_target.OPERATION
     *
     * @mbggenerated
     */
    public String getOperation() {
        return operation;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.OPERATION
     *
     * @param operation the value for production_output_target.OPERATION
     *
     * @mbggenerated
     */
    public void setOperation(String operation) {
        this.operation = operation == null ? null : operation.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.RESRCE
     *
     * @return the value of production_output_target.RESRCE
     *
     * @mbggenerated
     */
    public String getResrce() {
        return resrce;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.RESRCE
     *
     * @param resrce the value for production_output_target.RESRCE
     *
     * @mbggenerated
     */
    public void setResrce(String resrce) {
        this.resrce = resrce == null ? null : resrce.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.TARGE_QTY_YIELD
     *
     * @return the value of production_output_target.TARGE_QTY_YIELD
     *
     * @mbggenerated
     */
    public BigDecimal getTargeQtyYield() {
        return targeQtyYield;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.TARGE_QTY_YIELD
     *
     * @param targeQtyYield the value for production_output_target.TARGE_QTY_YIELD
     *
     * @mbggenerated
     */
    public void setTargeQtyYield(BigDecimal targeQtyYield) {
        this.targeQtyYield = targeQtyYield;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.TARGE_QTY_YIELD_UNIT
     *
     * @return the value of production_output_target.TARGE_QTY_YIELD_UNIT
     *
     * @mbggenerated
     */
    public String getTargeQtyYieldUnit() {
        return targeQtyYieldUnit;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.TARGE_QTY_YIELD_UNIT
     *
     * @param targeQtyYieldUnit the value for production_output_target.TARGE_QTY_YIELD_UNIT
     *
     * @mbggenerated
     */
    public void setTargeQtyYieldUnit(String targeQtyYieldUnit) {
        this.targeQtyYieldUnit = targeQtyYieldUnit == null ? null : targeQtyYieldUnit.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.TARGET_DATE
     *
     * @return the value of production_output_target.TARGET_DATE
     *
     * @mbggenerated
     */
    public String getTargetDate() {
        return targetDate;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.TARGET_DATE
     *
     * @param targetDate the value for production_output_target.TARGET_DATE
     *
     * @mbggenerated
     */
    public void setTargetDate(String targetDate) {
        this.targetDate = targetDate == null ? null : targetDate.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.SHIFT
     *
     * @return the value of production_output_target.SHIFT
     *
     * @mbggenerated
     */
    public String getShift() {
        return shift;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.SHIFT
     *
     * @param shift the value for production_output_target.SHIFT
     *
     * @mbggenerated
     */
    public void setShift(String shift) {
        this.shift = shift == null ? null : shift.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.SHIFT_DESCRIPTION
     *
     * @return the value of production_output_target.SHIFT_DESCRIPTION
     *
     * @mbggenerated
     */
    public String getShiftDescription() {
        return shiftDescription;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.SHIFT_DESCRIPTION
     *
     * @param shiftDescription the value for production_output_target.SHIFT_DESCRIPTION
     *
     * @mbggenerated
     */
    public void setShiftDescription(String shiftDescription) {
        this.shiftDescription = shiftDescription == null ? null : shiftDescription.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.IS_DEFAULT_VALUE
     *
     * @return the value of production_output_target.IS_DEFAULT_VALUE
     *
     * @mbggenerated
     */
    public String getIsDefaultValue() {
        return isDefaultValue;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.IS_DEFAULT_VALUE
     *
     * @param isDefaultValue the value for production_output_target.IS_DEFAULT_VALUE
     *
     * @mbggenerated
     */
    public void setIsDefaultValue(String isDefaultValue) {
        this.isDefaultValue = isDefaultValue == null ? null : isDefaultValue.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.CREATED_DATE_TIME
     *
     * @return the value of production_output_target.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for production_output_target.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.MODIFIED_DATE_TIME
     *
     * @return the value of production_output_target.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for production_output_target.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_target.MODIFIED_USER
     *
     * @return the value of production_output_target.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_target.MODIFIED_USER
     *
     * @param modifiedUser the value for production_output_target.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}